Package org.apache.wiki.plugin

# Class SampleAjaxPlugin

java.lang.Object
org.apache.wiki.plugin.SampleAjaxPlugin

All Implemented Interfaces:
  `WikiAjaxServlet`, `org.apache.wiki.api.plugin.Plugin`

public class SampleAjaxPlugin extends Object implements org.apache.wiki.api.plugin.Plugin, WikiAjaxServlet

Since:
  2.10.2-svn10 updated according to https://issues.apache.org/jira/browse/JSPWIKI-1195

## Field Summary

### Fields inherited from interface org.apache.wiki.api.plugin.Plugin

`CORE_PLUGINS_RESOURCEBUNDLE`

## Constructor Summary

Constructors
Constructor
Description
`SampleAjaxPlugin()`

## Method Summary

Modifier and Type
Method
Description
`String`
`execute(org.apache.wiki.api.core.Context context, Map<String,String> params)`
`String`
`getServletMapping()`
`void`
`service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, String actionName, List<String> params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.wiki.api.plugin.Plugin

`getDisplayName, getSnipExample`

## Constructor Details

### SampleAjaxPlugin

public SampleAjaxPlugin()

## Method Details

### execute

public String execute(org.apache.wiki.api.core.Context context, Map<String,String> params) throws org.apache.wiki.api.exceptions.PluginException

Specified by:
  `execute` in interface `org.apache.wiki.api.plugin.Plugin`
Throws:
  `org.apache.wiki.api.exceptions.PluginException`

### getServletMapping

public String getServletMapping()

Specified by:
  `getServletMapping` in interface `WikiAjaxServlet`

### service

public void service(jakarta.servlet.http.HttpServletRequest request, jakarta.servlet.http.HttpServletResponse response, String actionName, List<String> params) throws jakarta.servlet.ServletException, IOException

Specified by:
  `service` in interface `WikiAjaxServlet`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`